@charset "utf-8";
/* CSS Document */
@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

body { font-family: "Roboto", sans-serif; line-height:1.2; font-size:15px; color:#fff; background: #250703 url("/event/assets/betasia/images/weekly-4d-forecast/bg.jpg")no-repeat top center; background-size: cover;}

a { text-decoration: none; cursor:pointer; -webkit-transition: all 0.3s; -moz-transition: all 0.3s; -o-transition: all 0.3s; transition: all 0.3s; }

a:hover, a:focus, button:focus, button:hover, select:focus, input:focus { text-decoration: none; outline: none; }

img { max-width:100%;}

input[type="text"], input[type="email"], input[type="tel"], input[type="url"], input[type="password"], input[type="number"], textarea, select {
    color: #666;
    width: 100%;
}
button {
	background: none;
	border: none;
	padding: 0;
}
button:hover {
	transform: scale(0.98);
	filter: brightness(1.07);
}
.t-body {
	overflow: hidden;
}
.deco {
	position: absolute;
}
.max-container {
	position: relative;
	max-width: 1200px;
	margin: 0 auto;
	padding: 0 10px;
}
.music-wrapper {
    position: fixed;
    z-index: 99;
    right: 0;
    bottom: 50px;
    opacity: 1;
    transition: 0.3s;
    overflow: hidden;
    height: 40px;
    width: 40px;
    background: #fff;
    border-radius: 10px 0 0 10px;
}
.music-wrapper audio {
    position: absolute;
    left: -6px;
    top: -7px;
}
audio:focus {
	outline: none;
}
.floating-wrapper {
    position: fixed;
    z-index: 99;
    right: 2px;
    top: 100px;
	width: 100%;
    max-width: 70px;
	text-align: center;
}
button.float-btn {
    display: block;
    margin: 4px 0;
}
button.float-btn:hover {
	transform: scale(0.98);
	filter: brightness(1.08);
}
.dropdown-menu.language {
    min-width: 155px;
    background: none;
    border: none;
    width: 100%;
    padding: 0;
    margin: 0;
	margin-top: 11px;
}
a.float-item {
    display: inline-block;
    max-width: 45px;
}
a.float-item:hover {
	filter: brightness(1.07);
	transform: scale(1.03);
}
.top-sec {
    position: relative;
    text-align: center;
    padding: 0 0 60px;
}
button.home-btn {
    position: absolute;
    left: 5px;
    top: 5px;
    max-width: 75px;
	z-index: 1;
}
.logo {
    max-width: 26%;
    margin: 0 auto -4%;
	padding-top: 10px;
}
.title-top {
    position: relative;
    max-width: 935px;
    margin: 0 auto 15px;
}
.deco.lantern-1 {
    left: -8%;
    top: -5px;
    max-width: 17%;
	animation: shaking 2.2s ease-in-out infinite;
	transform-origin: top right;
}
.deco.lantern-2 {
    right: -8%;
    top: -5px;
    max-width: 16%;
	animation: shaking2 2.1s ease-in-out infinite;
	transform-origin: top left;
}
.deco.bird-1 {
    left: 12%;
    top: -11%;
    max-width: 16%;
}
.deco.bird-2 {
    right: 14%;
    top: -18%;
    max-width: 17%;
}
.deco.deco-1 {
    left: -7%;
    bottom: -37%;
    max-width: 14%;
	animation: float 1.9s ease-in-out infinite;
}
.deco.deco-2 {
    right: -15%;
    bottom: -44%;
    max-width: 20%;
	animation: float 2.1s ease-in-out infinite;
}
@keyframes float {
    0% {
        transform: translatey(0px);
    }
    50% {
        transform: translatey(-12px);
    }
    100% {
        transform: translatey(0px);
    }
}
@keyframes shaking {
    0% {
        transform: rotate(-5deg);
    }
    50% {
        transform: rotate(-20deg);
    }
    100% {
        transform: rotate(-5deg);
    }
}
@keyframes shaking2 {
    0% {
        transform: rotate(5deg);
    }
    50% {
        transform: rotate(20deg);
    }
    100% {
        transform: rotate(5deg);
    }
}
.event-date {
    position: relative;
    max-width: 470px;
    margin: 0 auto;
}
.date-text {
    position: absolute;
    left: 0;
    right: 0;
    top: 49%;
    font-size: 30px;
    font-weight: 600;
    text-shadow: 0px 1px 6px rgb(0, 0, 0, 0.75);
}
.week-note {
    font-size: 19px;
    font-weight: 500;
    color: #e9ff83;
	margin-bottom: 15px;
}
.step-wrapper {
    position: relative;
    padding-bottom: 20px;
}
.stepbox {
    position: relative;
    display: inline-block;
    vertical-align: top;
    max-width: 270px;
	margin: 5px 0;
}
.step-info {
    position: absolute;
    left: 0;
    right: 0;
    top: 75%;
    font-size: 16px;
    max-width: 60%;
    margin: 0 auto;
}
.sptext-1 {
    color: #f0ff00;
    text-transform: uppercase;
    font-weight: 600;
}
.sptext-2 {
    font-size: 88%;
}
.full-container {
    width: 100%;
    position: relative;
}
.deco.horse-1 {
    left: -3%;
    top:0;
    max-width: 23%;
	animation: float 2.2s ease-in-out infinite;
}
.deco.horse-2 {
    right: -5%;
    max-width: 26%;
    top: 50px;
	animation: float 2.3s ease-in-out infinite;
}
.token-wrap {
    position: relative;
    max-width: 286px;
    margin: 0 auto 20px;
}
.tktext {
    position: absolute;
    left: 0;
    right: 0;
    top: 5%;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 34px;
    font-weight: 500;
    font-style: italic;
}
.event-wrapper {
    position: relative;
    max-width: 1030px;
    margin: 40px auto 15px;
}
.deco.bag-1 {
    left: -4%;
    bottom: 0%;
    max-width: 10%;
}
.deco.bag-2 {
    right: -4%;
    bottom: 0%;
    max-width: 10%;
}
.predict-date-wrap {
    position: absolute;
    left: 0;
    right: 0;
    top: -6%;
}
.predict-date {
    max-width: 410px;
    margin: 0 auto;
    position: relative;
}
.pdtext {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 30px;
    font-weight: 600;
    font-style: italic;
}
.cutoff-note {
    color: #e9ff83;
    font-size: 15px;
    font-weight: 500;
    font-style: italic;
}
.predict-number-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    max-width: 90%;
    width: 100%;
    margin: 0 auto;
    position: absolute;
    left: 0;
    right: 0;
    top: 27%;
}
.numberbox {
    position: relative;
    background: url(/event/assets/betasia/images/weekly-4d-forecast/numframe.png) no-repeat;
    background-size: 100% 100%;
    max-width: 230px;
    height: 255px;
    width: 100%;
}
select.number-input {
    background: none;
    border: none;
    height: 100%;
    width: 100%;
    color: #fff;
    text-align: center;
    font-family: 'Roboto';
    font-size: 155px;
    font-weight: 500;
    appearance: none;
    cursor: pointer;
    padding-top: 4%;
    text-shadow: 0px 5px 1px rgb(0, 0, 0, 0.4);
}
.numberbox::after {
    content: '\f107';
    font-family: 'Font Awesome 5 Free';
    font-weight: 700;
    position: absolute;
    right: 23%;
    top: 48%;
    font-size: 20px;
}
select.number-input option {
    font-size: 18px;
    color: #000;
}
button.btm-btn {
    position: relative;
    max-width: 274px;
    margin: 4px 5px;
    color: #fff;
    font-weight: 500;
    font-size: 28px;
    font-style: italic;
    text-shadow: 1px 2px 4px rgb(0, 0, 0, 0.6);
}
.comtext {
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    display: grid;
    align-items: center;
    justify-content: center;
}

/** Modal **/
.modal-dialog.how {
    max-width: 750px;
    top: 4%;
}
.modal-content.popup {
    background: #3b3209;
	background-size: cover;
    border: 3px solid #d8bb49;
    border-radius: 10px;
    box-shadow: inset 0 0 3px rgb(0,0,0,0.3);
    text-align: center;
    padding: 15px 15px 20px;
}
.modal-content.popup.base2 {
	background: url("/event/assets/betasia/images/weekly-4d-forecast/pop-bg.jpg")no-repeat;
	background-size: cover;
}
.poptitle {
    position: relative;
    max-width: 300px;
    margin: -65px auto 20px;
	font-size: 28px;
	font-weight: 500;
	color: #fff;
}
.poptitle .comtext {
    padding-top: 3%;
    max-width: 85%;
    margin: 0 auto;
    line-height: 1;
}
button.close-x {
    position: absolute;
    z-index: 2;
    right: -8px;
    top: -7px;
    background: #000;
    color: #eba845;
    font-size: 15px;
    font-weight: 600;
    border: 2px solid #eba845;
    border-radius: 50%;
    height: 25px;
    width: 25px;
}
table.prize-table  {
	font-size: 16px;
	font-weight: 500;
	text-transform: uppercase;
}
table.prize-table tr td {
    background: #0b1f3b;
    padding: 7px 2px;
	border: 1px solid #e0c649;
}
table.prize-table tr th {
	background: #0b1f3b;
	color: #fffc29;
	font-weight: 600;
    padding: 5px 2px;
	border: 1px solid #e0c649;
}
table.prize-table tr.first-pz td {
	color: #29ff93;
}
.result-date-text {
    border: 2px solid #ca2b21;
    background: #131020;
    max-width: 200px;
    margin: 0 auto 15px;
    border-radius: 335px;
    padding: 8px 4px;
    font-size: 17px;
    font-weight: 600;
}
table.lotto-table {
    text-align: center;
}
.rstable {
    overflow: auto;
    color: #fff;
    text-transform: uppercase;
    max-width: 300px;
    margin: 0 auto 15px;
    width: 100%;
}
.lotto-table tr td {
    padding: 5px;
    background: #fff;
	color: #000;
	font-weight: 500;
}
.lotto-table tr th {
    padding: 3px 8px;
    font-weight: 600;
}
.magnum .lotto-table tr th {
    background: #ffc100;
    border: 1px solid #ffc100;
    color: #000;
}
.magnum .lotto-table tr td {
    border: 1px solid #e39632;
}
ul.terms {
	padding-left: 17px;
	text-align: left;
}
.prize-wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
	padding: 30px 0 20px;
}
.prize-box {
    position: relative;
    max-width: 230px;
    margin: 0 auto;
}
.pztext {
    position: absolute;
    left: 0;
    right: 0;
    top: 78%;
    font-size: 24px;
    font-weight: 500;
}
.prize-box.first {
    grid-column: 2 / 3;
    bottom: 25px;
}
.prize-box.second {
    grid-row: 1 / 2;
}
.special-prz {
    display: grid;
    grid-template-columns: 60% auto;
    align-items: center;
    background: #0b1f3b;
    height: 40px;
    border-radius: 7px;
    border: 1px solid #e4c470;
    overflow: hidden;
    max-width: 460px;
    margin: 3px auto;
    width: 100%;
    font-size: 18px;
    font-weight: 500;
    box-shadow: 0 1px 8px rgb(0, 0, 0, 0.5);
}
.spcol {
	border-right: 1px solid #e4c470;
}
.special-prz div {
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

@media(max-width: 1080px) {
.step-wrapper {
    max-width: 767px;
    margin: 0 auto;
}	
}

@media(max-width: 991px) {
.floating-wrapper {
	transform: scale(0.8);
	transform-origin: right top;
}	
.music-wrapper {
	transform: scale(0.8);
	transform-origin: right bottom;
}		
button.home-btn {
    max-width: 60px;
}
.numberbox {
    height: 25.5vw;
}	
select.number-input {
    font-size: 16vw;
}	
.numberbox::after {
    font-size: 2vw;
}
}

@media(max-width: 767px) {
.floating-wrapper {
	transform: scale(0.7);
}		
.music-wrapper {
	transform: scale(0.7);
}	
button.home-btn {
    max-width: 55px;
}	
.event-date {
    max-width: 64%;
}	
.date-text {
    font-size: 4vw;
}
.week-note {
    font-size: 16px;
}	
.predict-date-wrap {	
    top: -11%;
}	
.predict-date {
    max-width: 56%;
}	
.pdtext {
    font-size: 4vw;
}	
.cutoff-note {
    font-size: 2vw;
}
.pztext {
    font-size: 3vw;
}	
}

@media(max-width: 580px) {
.stepbox {
    width: 49%;
}	
.step-info {
    font-size: 2.8vw;
}
	
}
@media(max-width: 480px) {
.music-wrapper {
	transform: scale(0.65);
}
.floating-wrapper {
	top: 50px;
	transform: scale(0.6);
}		
button.home-btn {
    max-width: 45px;
}
.how-title, .forecast-title {
    max-width: 90%;
    margin: 0 auto;
}	
button.btm-btn {
    max-width: 55%;
    font-size: 5.4vw;
}	
	.modal-content.popup {
		font-size: 14px;
	}	
.poptitle {
    max-width: 250px;
    margin: -55px auto 20px;
    font-size: 22px;
}
table.prize-table {
    font-size: 14px;
}	
.special-prz {
    font-size: 15px;
	height: 33px;
}	
}

















